Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class PropertiesQuestion.StringConstraints

    java.lang.Object
      com.sun.interview.PropertiesQuestion.ValueConstraints
          com.sun.interview.PropertiesQuestion.StringConstraints

Enclosing class:
  PropertiesQuestion

    public static class PropertiesQuestion.StringConstraints

extends PropertiesQuestion.ValueConstraints

Value restrictions for string type responses.

Field Summary
`protected boolean` | `custom`
`protected int` | `nominalMaxLength` The nominal maximum length for the string.
`protected java.lang.String[]` | `suggestions` Current value set for the suggested response values.

Constructor Summary
`PropertiesQuestion.StringConstraints()`
`PropertiesQuestion.StringConstraints(int maxLen)` Construct with max string length restriction.
`PropertiesQuestion.StringConstraints(java.lang.String[] suggestions)`
`PropertiesQuestion.StringConstraints(java.lang.String[] suggestions, int maxLen)` Construct with max string length restriction and suggested responses.

Method Summary
`int` | `getNominalMaxLength()` Get the nominal maximum length for the string.
`java.lang.String[]` | `getSuggestions()` Determine what the current value suggestions are.
`boolean` | `isCustomValuesAllowed()` Can the user provide whatever string answer they wish, or must they choose only from the suggested values.
`void` | `setCustomValuesAllowed(boolean state)` Are user specified values allowed? If not, there must be suggestions present.
`void` | `setNominalMaxLength(int nominalMaxLength)` Set the expected maximum length for the string.
`void` | `setSuggestions(java.lang.String[] sugs)` Supply some possible values that the user may want to select from.

Methods inherited from class com.sun.interview.PropertiesQuestion.ValueConstraints
`isReadOnly, isUnsetAllowed, isValid, isVisible, setReadOnly, setUnsetAllowed, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### suggestions

    protected java.lang.String[] suggestions

  Current value set for the suggested response values.

  See Also:
    `setSuggestions(String[])`, `getSuggestions()`

### custom

    protected boolean custom

### nominalMaxLength

    protected int nominalMaxLength

  The nominal maximum length for the string.

Constructor Detail

### PropertiesQuestion.StringConstraints

    public PropertiesQuestion.StringConstraints()

### PropertiesQuestion.StringConstraints

    public PropertiesQuestion.StringConstraints(java.lang.String[] suggestions)

### PropertiesQuestion.StringConstraints

    public PropertiesQuestion.StringConstraints(int maxLen)

  Construct with max string length restriction.

  Parameters:
    `maxLen` - Maximum length string for the response.

### PropertiesQuestion.StringConstraints

    public PropertiesQuestion.StringConstraints(java.lang.String[] suggestions,
                                                int maxLen)

  Construct with max string length restriction and suggested responses.

  Parameters:
    `maxLen` - Maximum length string for the response.
    `suggestions` - The suggested responses to present the user with. Should be an array of greater than zero length.

Method Detail

### setSuggestions

    public void setSuggestions(java.lang.String[] sugs)

  Supply some possible values that the user may want to select from.

  Parameters:
    `sugs` - The suggested responses to present the user with. Should be an array of greater than zero length. Can be null if you wish to remove the setting completely.
  See Also:
    `isCustomValuesAllowed()`, `getSuggestions()`

### getSuggestions

    public java.lang.String[] getSuggestions()

  Determine what the current value suggestions are.

  Returns:
    Null if there are no suggsted values, otherwise an array of length greater than zero.

### setCustomValuesAllowed

    public void setCustomValuesAllowed(boolean state)

  Are user specified values allowed? If not, there must be suggestions present.

  Throws:
    `java.lang.IllegalStateException` - If no suggestions have been provided.
  See Also:
    `setSuggestions(java.lang.String[])`

### isCustomValuesAllowed

    public boolean isCustomValuesAllowed()

  Can the user provide whatever string answer they wish, or must they choose only from the suggested values. An assumption is that if this value is false, then there are available suggestions for this value.

  See Also:
    `setCustomValuesAllowed(boolean)`, `setSuggestions(java.lang.String[])`

### getNominalMaxLength

    public int getNominalMaxLength()

  Get the nominal maximum length for the string.

  Returns:
    the nominal maximum length for the string.
  See Also:
    `setNominalMaxLength(int)`

### setNominalMaxLength

    public void setNominalMaxLength(int nominalMaxLength)

  Set the expected maximum length for the string.

  Parameters:
    `nominalMaxLength` - the nominal maximum length for the string.
  See Also:
    `getNominalMaxLength()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.